body {
  background-color: #F8F8F8;
  margin: 0;
  padding: 0;
  font-size: 14px;
}
.mui-dtpicker-title h5 {
  box-sizing: border-box;
}
.common-title {
  padding: 4px 0;
  line-height: 20px;
  display: flex;
  justify-content: space-between;
}
.common-title .text {
  position: relative;
  font-size: 18px;
  font-weight: bold;
}
.common-title .text::before {
  display: block;
  content: '';
  position: absolute;
  height: 5px;
  background: linear-gradient(136deg, #1B85FF 0%, rgba(148, 196, 255, 0.39) 100%);
  border-radius: 12px 12px 12px 12px;
  left: 0;
  max-width: 80px;
  right: -6px;
  bottom: -2px;
}
.common-title .link {
  color: #1B85FF;
  font-size: 14px;
}
.common-title .link a {
  color: #1B85FF;
  font-size: 14px;
  text-decoration: none;
}
.error {
  color: red;
  font-size: 14px;
}
.introduce-list {
  padding: 14px 0 14px;
  font-size: 12px;
}
.introduce-list .item {
  line-height: 24px;
  display: flex;
  justify-content: space-between;
  position: relative;
}
.introduce-list .item::before {
  content: '';
  position: absolute;
  display: block;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
}
.introduce-list .item .label {
  color: #666666;
}
.introduce-list .item .value {
  color: #000000;
}
.product-desc .insure {
  padding: 10px 20px;
  background-color: #fff;
}
.product-desc .calc .calc-item {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  font-size: 14px;
  line-height: 30px;
  padding: 4px 0;
}
.product-desc .calc .calc-item .custom-amount {
  width: 100%;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid #E5E5E5;
  line-height: 30px;
  padding: 20px 0 10px;
}
.product-desc .calc .calc-item .custom-amount .amount-label {
  font-size: 14px;
  font-weight: bold;
}
.product-desc .calc .calc-item .custom-amount .amount-number {
  flex: 1;
}
.product-desc .calc .calc-item .custom-amount .amount-number input {
  width: 100%;
  outline: none;
  height: 30px;
  border: none;
  text-align: right;
  padding-right: 20px;
  box-sizing: border-box;
}
.product-desc .calc .calc-item .label {
  font-weight: bold;
}
.product-desc .calc .calc-item .input {
  color: #999999;
}
.product-desc .calc .calc-item .input.block {
  width: 100%;
}
.product-desc .calc .calc-item .radio {
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}
.product-desc .calc .calc-item .radio.sex {
  width: 130px;
}
.product-desc .calc .calc-item .radio.year {
  width: 100%;
}
.product-desc .calc .calc-item .radio.amount {
  width: 100%;
}
.product-desc .calc .calc-item .radio.amount span {
  width: 22%;
}
.product-desc .calc .calc-item .radio span {
  display: block;
  margin-top: 10px;
  background-color: #EDF3FF;
  border-radius: 4px;
  text-align: center;
  color: #1B85FF;
  line-height: 30px;
  width: 60px;
}
.product-desc .calc .calc-item .radio span.active {
  background-color: #1B85FF !important;
  color: #fff !important;
}
.product-desc .calc .calc-item .radio span.disabled {
  color: #666666;
  background-color: #E5E5E5;
}
.hidden {
  display: none !important;
}
/**
    * 自定义checkbox复选框
**/
input[type="checkbox"] {
  position: relative;
  width: 16px;
  height: 16px;
  font-size: 14px;
  vertical-align: middle;
  border: 0;
  background: none;
  cursor: pointer;
}
input[type="checkbox"]:after {
  content: "";
  position: absolute;
  top: -1px;
  left: -1px;
  display: block;
  width: 16px;
  height: 16px;
  border-radius: 3px;
  visibility: visible;
  background-color: white;
  border: 1px solid #ccc;
}
input[type="checkbox"]:checked::before {
  content: "";
  position: absolute;
  top: -1px;
  left: -1px;
  display: block;
  width: 18px;
  height: 18px;
  border-radius: 3px;
  border-color: #0798ff;
  background-color: #0798ff;
}
input[type="checkbox"]:checked:after {
  content: "";
  position: absolute;
  top: 2px;
  left: 5px;
  display: table;
  width: 4px;
  height: 8px;
  border: 2px solid white;
  border-top: 0;
  border-left: 0;
  border-radius: 0;
  background-color: #0798ff;
  transform: scale(0.2) rotate(45deg);
  animation: checked-select 0.2s ease-in forwards;
}
@keyframes checked-select {
  to {
    transform: scale(1) rotate(45deg);
  }
}
